Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.jdbcjobstore
Interface StdJDBCConstants

All Superinterfaces:
  Constants

All Known Implementing Classes:
  StdJDBCDelegate, StdRowLockSemaphore

public interface StdJDBCConstants
extends Constants

This interface extends ``Constants`` to include the query string constants in use by the ``StdJDBCDelegate`` class.

Author:
  Jeffrey Wescott

Field Summary
`static String` | `DELETE_BLOB_TRIGGER`
`static String` | `DELETE_CALENDAR`
`static String` | `DELETE_CRON_TRIGGER`
`static String` | `DELETE_FIRED_TRIGGER`
`static String` | `DELETE_FIRED_TRIGGERS`
`static String` | `DELETE_INSTANCES_FIRED_TRIGGERS`
`static String` | `DELETE_JOB_DETAIL`
`static String` | `DELETE_JOB_LISTENERS`
`static String` | `DELETE_NO_RECOVERY_FIRED_TRIGGERS`
`static String` | `DELETE_PAUSED_TRIGGER_GROUP`
`static String` | `DELETE_PAUSED_TRIGGER_GROUPS`
`static String` | `DELETE_SCHEDULER_STATE`
`static String` | `DELETE_SIMPLE_TRIGGER`
`static String` | `DELETE_TRIGGER`
`static String` | `DELETE_TRIGGER_LISTENERS`
`static String` | `DELETE_VOLATILE_FIRED_TRIGGERS`
`static String` | `INSERT_BLOB_TRIGGER`
`static String` | `INSERT_CALENDAR`
`static String` | `INSERT_CRON_TRIGGER`
`static String` | `INSERT_FIRED_TRIGGER`
`static String` | `INSERT_JOB_DETAIL`
`static String` | `INSERT_JOB_LISTENER`
`static String` | `INSERT_PAUSED_TRIGGER_GROUP`
`static String` | `INSERT_SCHEDULER_STATE`
`static String` | `INSERT_SIMPLE_TRIGGER`
`static String` | `INSERT_TRIGGER`
`static String` | `INSERT_TRIGGER_LISTENER`
`static String` | `SELECT_BLOB_TRIGGER`
`static String` | `SELECT_CALENDAR`
`static String` | `SELECT_CALENDAR_EXISTENCE`
`static String` | `SELECT_CALENDARS`
`static String` | `SELECT_CRON_TRIGGER`
`static String` | `SELECT_FIRED_TRIGGER`
`static String` | `SELECT_FIRED_TRIGGER_GROUP`
`static String` | `SELECT_FIRED_TRIGGERS`
`static String` | `SELECT_FIRED_TRIGGERS_OF_JOB`
`static String` | `SELECT_FIRED_TRIGGERS_OF_JOB_GROUP`
`static String` | `SELECT_INSTANCES_FIRED_TRIGGERS`
`static String` | `SELECT_INSTANCES_RECOVERABLE_FIRED_TRIGGERS`
`static String` | `SELECT_JOB_DETAIL`
`static String` | `SELECT_JOB_EXECUTION_COUNT`
`static String` | `SELECT_JOB_EXISTENCE`
`static String` | `SELECT_JOB_FOR_TRIGGER`
`static String` | `SELECT_JOB_GROUPS`
`static String` | `SELECT_JOB_LISTENERS`
`static String` | `SELECT_JOB_STATEFUL`
`static String` | `SELECT_JOBS_IN_GROUP`
`static String` | `SELECT_MISFIRED_TRIGGERS`
`static String` | `SELECT_MISFIRED_TRIGGERS_IN_GROUP_IN_STATE`
`static String` | `SELECT_MISFIRED_TRIGGERS_IN_STATE`
`static String` | `SELECT_NEXT_FIRE_TIME`
`static String` | `SELECT_NUM_CALENDARS`
`static String` | `SELECT_NUM_JOBS`
`static String` | `SELECT_NUM_TRIGGERS`
`static String` | `SELECT_NUM_TRIGGERS_FOR_JOB`
`static String` | `SELECT_NUM_TRIGGERS_IN_GROUP`
`static String` | `SELECT_PAUSED_TRIGGER_GROUP`
`static String` | `SELECT_PAUSED_TRIGGER_GROUPS`
`static String` | `SELECT_REFERENCED_CALENDAR`
`static String` | `SELECT_SCHEDULER_STATE`
`static String` | `SELECT_SCHEDULER_STATES`
`static String` | `SELECT_SIMPLE_TRIGGER`
`static String` | `SELECT_STATEFUL_JOBS_OF_TRIGGER_GROUP`
`static String` | `SELECT_TRIGGER`
`static String` | `SELECT_TRIGGER_DATA`
`static String` | `SELECT_TRIGGER_EXISTENCE`
`static String` | `SELECT_TRIGGER_FOR_FIRE_TIME`
`static String` | `SELECT_TRIGGER_GROUPS`
`static String` | `SELECT_TRIGGER_LISTENERS`
`static String` | `SELECT_TRIGGER_STATE`
`static String` | `SELECT_TRIGGER_STATUS`
`static String` | `SELECT_TRIGGERS_FOR_CALENDAR`
`static String` | `SELECT_TRIGGERS_FOR_JOB`
`static String` | `SELECT_TRIGGERS_IN_GROUP`
`static String` | `SELECT_TRIGGERS_IN_STATE`
`static String` | `SELECT_VOLATILE_JOBS`
`static String` | `SELECT_VOLATILE_TRIGGERS`
`static String` | `TABLE_PREFIX_SUBST`
`static String` | `UPDATE_BLOB_TRIGGER`
`static String` | `UPDATE_CALENDAR`
`static String` | `UPDATE_CRON_TRIGGER`
`static String` | `UPDATE_INSTANCES_FIRED_TRIGGER_STATE`
`static String` | `UPDATE_JOB_DATA`
`static String` | `UPDATE_JOB_DETAIL`
`static String` | `UPDATE_JOB_TRIGGER_STATES`
`static String` | `UPDATE_JOB_TRIGGER_STATES_FROM_OTHER_STATE`
`static String` | `UPDATE_SCHEDULER_STATE`
`static String` | `UPDATE_SIMPLE_TRIGGER`
`static String` | `UPDATE_TRIGGER`
`static String` | `UPDATE_TRIGGER_GROUP_STATE`
`static String` | `UPDATE_TRIGGER_GROUP_STATE_FROM_STATE`
`static String` | `UPDATE_TRIGGER_GROUP_STATE_FROM_STATES`
`static String` | `UPDATE_TRIGGER_SKIP_DATA`
`static String` | `UPDATE_TRIGGER_STATE`
`static String` | `UPDATE_TRIGGER_STATE_FROM_OTHER_STATES_BEFORE_TIME`
`static String` | `UPDATE_TRIGGER_STATE_FROM_STATE`
`static String` | `UPDATE_TRIGGER_STATE_FROM_STATES`
`static String` | `UPDATE_TRIGGER_STATES_FROM_OTHER_STATES`

Fields inherited from interface org.quartz.impl.jdbcjobstore.Constants
`ALIAS_COL_NEXT_FIRE_TIME, ALL_GROUPS_PAUSED, COL_BLOB, COL_CALENDAR, COL_CALENDAR_NAME, COL_CHECKIN_INTERVAL, COL_CRON_EXPRESSION, COL_DESCRIPTION, COL_END_TIME, COL_ENTRY_ID, COL_ENTRY_STATE, COL_FIRED_TIME, COL_INSTANCE_NAME, COL_IS_DURABLE, COL_IS_STATEFUL, COL_IS_VOLATILE, COL_JOB_CLASS, COL_JOB_DATAMAP, COL_JOB_GROUP, COL_JOB_LISTENER, COL_JOB_NAME, COL_LAST_CHECKIN_TIME, COL_LOCK_NAME, COL_MISFIRE_INSTRUCTION, COL_NEXT_FIRE_TIME, COL_PREV_FIRE_TIME, COL_RECOVERER, COL_REPEAT_COUNT, COL_REPEAT_INTERVAL, COL_REQUESTS_RECOVERY, COL_START_TIME, COL_TIME_ZONE_ID, COL_TIMES_TRIGGERED, COL_TRIGGER_GROUP, COL_TRIGGER_LISTENER, COL_TRIGGER_NAME, COL_TRIGGER_STATE, COL_TRIGGER_TYPE, DEFAULT_TABLE_PREFIX, STATE_ACQUIRED, STATE_BLOCKED, STATE_COMPLETE, STATE_DELETED, STATE_ERROR, STATE_EXECUTING, STATE_MISFIRED, STATE_PAUSED, STATE_PAUSED_BLOCKED, STATE_WAITING, TABLE_BLOB_TRIGGERS, TABLE_CALENDARS, TABLE_CRON_TRIGGERS, TABLE_FIRED_TRIGGERS, TABLE_JOB_DETAILS, TABLE_JOB_LISTENERS, TABLE_LOCKS, TABLE_PAUSED_TRIGGERS, TABLE_SCHEDULER_STATE, TABLE_SIMPLE_TRIGGERS, TABLE_TRIGGER_LISTENERS, TABLE_TRIGGERS, TTYPE_BLOB, TTYPE_CRON, TTYPE_SIMPLE`

Field Detail

### TABLE_PREFIX_SUBST

    public static final String TABLE_PREFIX_SUBST

See Also:
  Constant Field Values

### UPDATE_TRIGGER_STATES_FROM_OTHER_STATES

    public static final String UPDATE_TRIGGER_STATES_FROM_OTHER_STATES

See Also:
  Constant Field Values

### UPDATE_TRIGGER_STATE_FROM_OTHER_STATES_BEFORE_TIME

    public static final String UPDATE_TRIGGER_STATE_FROM_OTHER_STATES_BEFORE_TIME

See Also:
  Constant Field Values

### SELECT_MISFIRED_TRIGGERS

    public static final String SELECT_MISFIRED_TRIGGERS

See Also:
  Constant Field Values

### SELECT_TRIGGERS_IN_STATE

    public static final String SELECT_TRIGGERS_IN_STATE

See Also:
  Constant Field Values

### SELECT_MISFIRED_TRIGGERS_IN_STATE

    public static final String SELECT_MISFIRED_TRIGGERS_IN_STATE

See Also:
  Constant Field Values

### SELECT_MISFIRED_TRIGGERS_IN_GROUP_IN_STATE

    public static final String SELECT_MISFIRED_TRIGGERS_IN_GROUP_IN_STATE

See Also:
  Constant Field Values

### SELECT_VOLATILE_TRIGGERS

    public static final String SELECT_VOLATILE_TRIGGERS

See Also:
  Constant Field Values

### DELETE_FIRED_TRIGGERS

    public static final String DELETE_FIRED_TRIGGERS

See Also:
  Constant Field Values

### INSERT_JOB_DETAIL

    public static final String INSERT_JOB_DETAIL

See Also:
  Constant Field Values

### UPDATE_JOB_DETAIL

    public static final String UPDATE_JOB_DETAIL

See Also:
  Constant Field Values

### SELECT_TRIGGERS_FOR_JOB

    public static final String SELECT_TRIGGERS_FOR_JOB

See Also:
  Constant Field Values

### SELECT_TRIGGERS_FOR_CALENDAR

    public static final String SELECT_TRIGGERS_FOR_CALENDAR

See Also:
  Constant Field Values

### SELECT_STATEFUL_JOBS_OF_TRIGGER_GROUP

    public static final String SELECT_STATEFUL_JOBS_OF_TRIGGER_GROUP

See Also:
  Constant Field Values

### DELETE_JOB_LISTENERS

    public static final String DELETE_JOB_LISTENERS

See Also:
  Constant Field Values

### DELETE_JOB_DETAIL

    public static final String DELETE_JOB_DETAIL

See Also:
  Constant Field Values

### SELECT_JOB_STATEFUL

    public static final String SELECT_JOB_STATEFUL

See Also:
  Constant Field Values

### SELECT_JOB_EXISTENCE

    public static final String SELECT_JOB_EXISTENCE

See Also:
  Constant Field Values

### UPDATE_JOB_DATA

    public static final String UPDATE_JOB_DATA

See Also:
  Constant Field Values

### INSERT_JOB_LISTENER

    public static final String INSERT_JOB_LISTENER

See Also:
  Constant Field Values

### SELECT_JOB_LISTENERS

    public static final String SELECT_JOB_LISTENERS

See Also:
  Constant Field Values

### SELECT_JOB_DETAIL

    public static final String SELECT_JOB_DETAIL

See Also:
  Constant Field Values

### SELECT_NUM_JOBS

    public static final String SELECT_NUM_JOBS

See Also:
  Constant Field Values

### SELECT_JOB_GROUPS

    public static final String SELECT_JOB_GROUPS

See Also:
  Constant Field Values

### SELECT_JOBS_IN_GROUP

    public static final String SELECT_JOBS_IN_GROUP

See Also:
  Constant Field Values

### SELECT_VOLATILE_JOBS

    public static final String SELECT_VOLATILE_JOBS

See Also:
  Constant Field Values

### INSERT_TRIGGER

    public static final String INSERT_TRIGGER

See Also:
  Constant Field Values

### INSERT_SIMPLE_TRIGGER

    public static final String INSERT_SIMPLE_TRIGGER

See Also:
  Constant Field Values

### INSERT_CRON_TRIGGER

    public static final String INSERT_CRON_TRIGGER

See Also:
  Constant Field Values

### INSERT_BLOB_TRIGGER

    public static final String INSERT_BLOB_TRIGGER

See Also:
  Constant Field Values

### UPDATE_TRIGGER_SKIP_DATA

    public static final String UPDATE_TRIGGER_SKIP_DATA

See Also:
  Constant Field Values

### UPDATE_TRIGGER

    public static final String UPDATE_TRIGGER

See Also:
  Constant Field Values

### UPDATE_SIMPLE_TRIGGER

    public static final String UPDATE_SIMPLE_TRIGGER

See Also:
  Constant Field Values

### UPDATE_CRON_TRIGGER

    public static final String UPDATE_CRON_TRIGGER

See Also:
  Constant Field Values

### UPDATE_BLOB_TRIGGER

    public static final String UPDATE_BLOB_TRIGGER

See Also:
  Constant Field Values

### SELECT_TRIGGER_EXISTENCE

    public static final String SELECT_TRIGGER_EXISTENCE

See Also:
  Constant Field Values

### UPDATE_TRIGGER_STATE

    public static final String UPDATE_TRIGGER_STATE

See Also:
  Constant Field Values

### UPDATE_TRIGGER_STATE_FROM_STATE

    public static final String UPDATE_TRIGGER_STATE_FROM_STATE

See Also:
  Constant Field Values

### UPDATE_TRIGGER_GROUP_STATE

    public static final String UPDATE_TRIGGER_GROUP_STATE

See Also:
  Constant Field Values

### UPDATE_TRIGGER_GROUP_STATE_FROM_STATE

    public static final String UPDATE_TRIGGER_GROUP_STATE_FROM_STATE

See Also:
  Constant Field Values

### UPDATE_TRIGGER_STATE_FROM_STATES

    public static final String UPDATE_TRIGGER_STATE_FROM_STATES

See Also:
  Constant Field Values

### UPDATE_TRIGGER_GROUP_STATE_FROM_STATES

    public static final String UPDATE_TRIGGER_GROUP_STATE_FROM_STATES

See Also:
  Constant Field Values

### UPDATE_JOB_TRIGGER_STATES

    public static final String UPDATE_JOB_TRIGGER_STATES

See Also:
  Constant Field Values

### UPDATE_JOB_TRIGGER_STATES_FROM_OTHER_STATE

    public static final String UPDATE_JOB_TRIGGER_STATES_FROM_OTHER_STATE

See Also:
  Constant Field Values

### DELETE_TRIGGER_LISTENERS

    public static final String DELETE_TRIGGER_LISTENERS

See Also:
  Constant Field Values

### INSERT_TRIGGER_LISTENER

    public static final String INSERT_TRIGGER_LISTENER

See Also:
  Constant Field Values

### SELECT_TRIGGER_LISTENERS

    public static final String SELECT_TRIGGER_LISTENERS

See Also:
  Constant Field Values

### DELETE_SIMPLE_TRIGGER

    public static final String DELETE_SIMPLE_TRIGGER

See Also:
  Constant Field Values

### DELETE_CRON_TRIGGER

    public static final String DELETE_CRON_TRIGGER

See Also:
  Constant Field Values

### DELETE_BLOB_TRIGGER

    public static final String DELETE_BLOB_TRIGGER

See Also:
  Constant Field Values

### DELETE_TRIGGER

    public static final String DELETE_TRIGGER

See Also:
  Constant Field Values

### SELECT_NUM_TRIGGERS_FOR_JOB

    public static final String SELECT_NUM_TRIGGERS_FOR_JOB

See Also:
  Constant Field Values

### SELECT_JOB_FOR_TRIGGER

    public static final String SELECT_JOB_FOR_TRIGGER

See Also:
  Constant Field Values

### SELECT_TRIGGER

    public static final String SELECT_TRIGGER

See Also:
  Constant Field Values

### SELECT_TRIGGER_DATA

    public static final String SELECT_TRIGGER_DATA

See Also:
  Constant Field Values

### SELECT_TRIGGER_STATE

    public static final String SELECT_TRIGGER_STATE

See Also:
  Constant Field Values

### SELECT_TRIGGER_STATUS

    public static final String SELECT_TRIGGER_STATUS

See Also:
  Constant Field Values

### SELECT_SIMPLE_TRIGGER

    public static final String SELECT_SIMPLE_TRIGGER

See Also:
  Constant Field Values

### SELECT_CRON_TRIGGER

    public static final String SELECT_CRON_TRIGGER

See Also:
  Constant Field Values

### SELECT_BLOB_TRIGGER

    public static final String SELECT_BLOB_TRIGGER

See Also:
  Constant Field Values

### SELECT_NUM_TRIGGERS

    public static final String SELECT_NUM_TRIGGERS

See Also:
  Constant Field Values

### SELECT_NUM_TRIGGERS_IN_GROUP

    public static final String SELECT_NUM_TRIGGERS_IN_GROUP

See Also:
  Constant Field Values

### SELECT_TRIGGER_GROUPS

    public static final String SELECT_TRIGGER_GROUPS

See Also:
  Constant Field Values

### SELECT_TRIGGERS_IN_GROUP

    public static final String SELECT_TRIGGERS_IN_GROUP

See Also:
  Constant Field Values

### INSERT_CALENDAR

    public static final String INSERT_CALENDAR

See Also:
  Constant Field Values

### UPDATE_CALENDAR

    public static final String UPDATE_CALENDAR

See Also:
  Constant Field Values

### SELECT_CALENDAR_EXISTENCE

    public static final String SELECT_CALENDAR_EXISTENCE

See Also:
  Constant Field Values

### SELECT_CALENDAR

    public static final String SELECT_CALENDAR

See Also:
  Constant Field Values

### SELECT_REFERENCED_CALENDAR

    public static final String SELECT_REFERENCED_CALENDAR

See Also:
  Constant Field Values

### DELETE_CALENDAR

    public static final String DELETE_CALENDAR

See Also:
  Constant Field Values

### SELECT_NUM_CALENDARS

    public static final String SELECT_NUM_CALENDARS

See Also:
  Constant Field Values

### SELECT_CALENDARS

    public static final String SELECT_CALENDARS

See Also:
  Constant Field Values

### SELECT_NEXT_FIRE_TIME

    public static final String SELECT_NEXT_FIRE_TIME

See Also:
  Constant Field Values

### SELECT_TRIGGER_FOR_FIRE_TIME

    public static final String SELECT_TRIGGER_FOR_FIRE_TIME

See Also:
  Constant Field Values

### INSERT_FIRED_TRIGGER

    public static final String INSERT_FIRED_TRIGGER

See Also:
  Constant Field Values

### UPDATE_INSTANCES_FIRED_TRIGGER_STATE

    public static final String UPDATE_INSTANCES_FIRED_TRIGGER_STATE

See Also:
  Constant Field Values

### SELECT_INSTANCES_FIRED_TRIGGERS

    public static final String SELECT_INSTANCES_FIRED_TRIGGERS

See Also:
  Constant Field Values

### SELECT_INSTANCES_RECOVERABLE_FIRED_TRIGGERS

    public static final String SELECT_INSTANCES_RECOVERABLE_FIRED_TRIGGERS

See Also:
  Constant Field Values

### SELECT_JOB_EXECUTION_COUNT

    public static final String SELECT_JOB_EXECUTION_COUNT

See Also:
  Constant Field Values

### SELECT_FIRED_TRIGGERS

    public static final String SELECT_FIRED_TRIGGERS

See Also:
  Constant Field Values

### SELECT_FIRED_TRIGGER

    public static final String SELECT_FIRED_TRIGGER

See Also:
  Constant Field Values

### SELECT_FIRED_TRIGGER_GROUP

    public static final String SELECT_FIRED_TRIGGER_GROUP

See Also:
  Constant Field Values

### SELECT_FIRED_TRIGGERS_OF_JOB

    public static final String SELECT_FIRED_TRIGGERS_OF_JOB

See Also:
  Constant Field Values

### SELECT_FIRED_TRIGGERS_OF_JOB_GROUP

    public static final String SELECT_FIRED_TRIGGERS_OF_JOB_GROUP

See Also:
  Constant Field Values

### DELETE_FIRED_TRIGGER

    public static final String DELETE_FIRED_TRIGGER

See Also:
  Constant Field Values

### DELETE_INSTANCES_FIRED_TRIGGERS

    public static final String DELETE_INSTANCES_FIRED_TRIGGERS

See Also:
  Constant Field Values

### DELETE_VOLATILE_FIRED_TRIGGERS

    public static final String DELETE_VOLATILE_FIRED_TRIGGERS

See Also:
  Constant Field Values

### DELETE_NO_RECOVERY_FIRED_TRIGGERS

    public static final String DELETE_NO_RECOVERY_FIRED_TRIGGERS

See Also:
  Constant Field Values

### INSERT_SCHEDULER_STATE

    public static final String INSERT_SCHEDULER_STATE

See Also:
  Constant Field Values

### SELECT_SCHEDULER_STATE

    public static final String SELECT_SCHEDULER_STATE

See Also:
  Constant Field Values

### SELECT_SCHEDULER_STATES

    public static final String SELECT_SCHEDULER_STATES

See Also:
  Constant Field Values

### DELETE_SCHEDULER_STATE

    public static final String DELETE_SCHEDULER_STATE

See Also:
  Constant Field Values

### UPDATE_SCHEDULER_STATE

    public static final String UPDATE_SCHEDULER_STATE

See Also:
  Constant Field Values

### INSERT_PAUSED_TRIGGER_GROUP

    public static final String INSERT_PAUSED_TRIGGER_GROUP

See Also:
  Constant Field Values

### SELECT_PAUSED_TRIGGER_GROUP

    public static final String SELECT_PAUSED_TRIGGER_GROUP

See Also:
  Constant Field Values

### SELECT_PAUSED_TRIGGER_GROUPS

    public static final String SELECT_PAUSED_TRIGGER_GROUPS

See Also:
  Constant Field Values

### DELETE_PAUSED_TRIGGER_GROUP

    public static final String DELETE_PAUSED_TRIGGER_GROUP

See Also:
  Constant Field Values

### DELETE_PAUSED_TRIGGER_GROUPS

    public static final String DELETE_PAUSED_TRIGGER_GROUPS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD